NNG_HTTP_CLIENT_GET_TLS(3http)

NAME
nng_http_client_get_tls - get HTTP client TLS configuration

SYNOPSIS

    #include <nng/nng.h>
    #include <nng/supplemental/http/http.h>
    int nng_http_client_get_tls(nng_http_client *client, nng_tls_config **cfgp);

DESCRIPTION

The nng_http_client_get_tls() obtains the TLS configuration of client and saves a pointer to it in the address referenced by cfgp.

The object will be returned with an extra hold (see nng_tls_config_hold()) placed on it on behalf of the caller. The caller should free this hold by calling nng_tls_config_free() with it is done with the TLS configuration.

RETURN VALUES

This function returns 0 on success, and non-zero otherwise.

ERRORS

NNG_EINVAL
    TLS not configured on client.

NNG_ENOMEM
    Insufficient free memory exists.

NNG_ENOTSUP
    Either HTTP or TLS not supported.

SEE ALSO

nng_http_client_alloc(3http), nng_http_client_connect(3http), nng_http_client_set_tls(3http), nng_tls_config_alloc(3tls), nng_tls_config_free(3tls), nng_tls_config_hold(3tls), nng_strerror(3), nng(7)